
From: Matt Porter <mporter@kernel.crashing.org>

PPC4xx preempt fixes. Based on previous Classic PPC patch.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/head_44x.S |    2 +-
 25-akpm/arch/ppc/kernel/head_4xx.S |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/kernel/head_44x.S~ppc32-ppc4xx-preempt-fixes arch/ppc/kernel/head_44x.S
--- 25/arch/ppc/kernel/head_44x.S~ppc32-ppc4xx-preempt-fixes	2004-06-29 22:31:30.937634048 -0700
+++ 25-akpm/arch/ppc/kernel/head_44x.S	2004-06-29 22:31:30.942633288 -0700
@@ -680,7 +680,7 @@ interrupt_base:
 	mfspr	r4,SPRN_ESR		/* Grab the ESR and save it */
 	stw	r4,_ESR(r11)
 	addi	r3,r1,STACK_FRAME_OVERHEAD
-	EXC_XFER_EE(0x700, ProgramCheckException)
+	EXC_XFER_STD(0x700, ProgramCheckException)
 
 	/* Floating Point Unavailable Interrupt */
 	EXCEPTION(0x2010, FloatingPointUnavailable, UnknownException, EXC_XFER_EE)
diff -puN arch/ppc/kernel/head_4xx.S~ppc32-ppc4xx-preempt-fixes arch/ppc/kernel/head_4xx.S
--- 25/arch/ppc/kernel/head_4xx.S~ppc32-ppc4xx-preempt-fixes	2004-06-29 22:31:30.938633896 -0700
+++ 25-akpm/arch/ppc/kernel/head_4xx.S	2004-06-29 22:31:30.943633136 -0700
@@ -451,7 +451,7 @@ label:
 	mfspr	r4,SPRN_ESR		/* Grab the ESR and save it */
 	stw	r4,_ESR(r11)
 	addi	r3,r1,STACK_FRAME_OVERHEAD
-	EXC_XFER_EE(0x700, ProgramCheckException)
+	EXC_XFER_STD(0x700, ProgramCheckException)
 
 	EXCEPTION(0x0800, Trap_08, UnknownException, EXC_XFER_EE)
 	EXCEPTION(0x0900, Trap_09, UnknownException, EXC_XFER_EE)
_
